<script setup>
import { computed } from "vue";
import { useStore } from "vuex";
import NavBar from "@components/Page/NavBar.vue";
import InfoBar from "@components/Page/InfoBar.vue";
import LoginOverlay from "@components/Page/LoginOverlay.vue";
import PromptOverlay from "@components/Template/PromptOverlay.vue";

const store = useStore();
const authorized = computed(() => store.state.adaptor.authorized);
const prompt = computed(() => store.state.adaptor.prompt.visible);
</script>

<template>
  <div class="is-flex is-flex-direction-column vheight-100">
    <NavBar />
    <main class="is-flex-grow-1 is-scroll-container">
      <router-view />
    </main>
    <InfoBar />
  </div>
  <PromptOverlay v-if="prompt" />
  <LoginOverlay v-if="!authorized" />
</template>
